| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DataWriterListener Class Reference
eProsima Fast DDS API Reference » DDS Public API

Class DataWriterListener, allows the end user to implement callbacks triggered by certain events. More...

`#include <DataWriterListener.hpp>`

Inheritance diagram for DataWriterListener:
[legend]

## Public Member Functions

| DataWriterListener ()
| Constructor.
virtual | ~DataWriterListener ()
| Destructor.
virtual void | on_publication_matched (DataWriter *writer, const PublicationMatchedStatus &info)
| This method is called when the DataWriter is matched (or unmatched) against an endpoint.
virtual void | on_offered_deadline_missed (DataWriter *writer, const OfferedDeadlineMissedStatus &status)
| A method called when a deadline is missed.
virtual void | on_offered_incompatible_qos (DataWriter *writer, const OfferedIncompatibleQosStatus &status)
| A method called when an incompatible QoS is offered.
virtual void | on_liveliness_lost (DataWriter *writer, const LivelinessLostStatus &status)
| Method called when the liveliness of a DataWriter is lost.
virtual void | on_unacknowledged_sample_removed (DataWriter *writer, const InstanceHandle_t &instance)
| Method called when a sample has been removed unacknowledged.

## Detailed Description

Class DataWriterListener, allows the end user to implement callbacks triggered by certain events.

## Constructor & Destructor Documentation

## ◆ DataWriterListener()

DataWriterListener | ( |  | ) |

inline

Constructor.

## ◆ ~DataWriterListener()

virtual ~DataWriterListener | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ on_liveliness_lost()

virtual void on_liveliness_lost | ( | DataWriter * | writer,
|  | const LivelinessLostStatus & | status )

inline virtual

Method called when the liveliness of a DataWriter is lost.

Parameters

  writer | Pointer to the associated DataWriter
  status | The liveliness lost status

## ◆ on_offered_deadline_missed()

virtual void on_offered_deadline_missed | ( | DataWriter * | writer,
|  | const OfferedDeadlineMissedStatus & | status )

inline virtual

A method called when a deadline is missed.

Parameters

  writer | Pointer to the associated DataWriter
  status | The deadline missed status

## ◆ on_offered_incompatible_qos()

virtual void on_offered_incompatible_qos | ( | DataWriter * | writer,
|  | const OfferedIncompatibleQosStatus & | status )

inline virtual

A method called when an incompatible QoS is offered.

Parameters

  writer | Pointer to the associated DataWriter
  status | The deadline missed status

## ◆ on_publication_matched()

virtual void on_publication_matched | ( | DataWriter * | writer,
|  | const PublicationMatchedStatus & | info )

inline virtual

This method is called when the DataWriter is matched (or unmatched) against an endpoint.

Parameters

  writer | Pointer to the associated DataWriter
  info | Information regarding the matched DataReader

## ◆ on_unacknowledged_sample_removed()

virtual void on_unacknowledged_sample_removed | ( | DataWriter * | writer,
|  | const InstanceHandle_t & | instance )

inline virtual

Method called when a sample has been removed unacknowledged.

Parameters

  writer | Pointer to the associated DataWriter
  instance | Handle to the instance the sample was removed from

The documentation for this class was generated from the following file:

- include/fastdds/dds/publisher/DataWriterListener.hpp